Loading...
Searching...
No Matches
FtpPoller::FtpDelayedPollerDataProvider Class Reference

Event-based data provider for FTP polling events. More...

Inheritance diagram for FtpPoller::FtpDelayedPollerDataProvider:
[legend]

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| observersReady ()
| Called when all observers have been added to the object.
| stopEvents ()
| Called to stop generating events.
Public Member Functions inherited from FtpPoller::FtpPollerDataProviderBase
| constructor (*hash< auto > options)
| Creates the object from constructor options.
*string | getDesc ()
| Returns the data provider description.
| updateConnectionObjects (object conn, object connobj)
| Update any connection used by the data provider.

## Public Attributes

const | ProviderInfo = ...
| Provider info.
Public Attributes inherited from FtpPoller::FtpPollerDataProviderBase
const | ConstructorOptions = ...
| Constructor options.

## Additional Inherited Members

Protected Member Functions inherited from FtpPoller::FtpPollerDataProviderBase
hash< string, hash< DataProviderMessageInfo > > | getEventTypesImpl ()
| Returns a hash of all supported event types.
Protected Attributes inherited from FtpPoller::FtpPollerDataProviderBase
EmbeddedFtpPoller | poller
| The file poller itself.

## Detailed Description

Event-based data provider for FTP polling events.

When using the `local_dir` option, the local file must be removed / moved / archived by the event handler

The event ID raised for FTP file events is `"ftp-file-event"` (see EVENT_FTP_FILE)

## Member Function Documentation

## observersReady()

FtpPoller::FtpDelayedPollerDataProvider::observersReady | ( |  | ) |

Called when all observers have been added to the object.

This method is meant to trigger event generation

## stopEvents()

FtpPoller::FtpDelayedPollerDataProvider::stopEvents | ( |  | ) |

Called to stop generating events.

Disconnects from the server and stops polling